TED
==============

`TED` implements event detection and classification in turbulence time series. The event detection step locates and detects events by performing a noise test on sliding subsequences extracted from the time series. A subsequence is considered to be a potential event if its characteristics are significantly different from noise. The event is defined only if the consecutive sequence of potential events is long enough. This step does not reply on pre-assumption of events in terms of their magnitude, geometry, or stationarity. The event classification step is to classify the events into groups with similar global characteristics. Each event is summarised using a feature vector, and then the events are clustered according to the Euclidean distances among the feature vectors. Examples of event detection and classification can be found in the package for both artificial data and real world turbulence data.
